<?php get_header(); ?>
<div class="container blog">
		<?php 
			// the query
			$args = array(
				'post_type'=>'news',
				'post_status'=>'publish',
				'posts_per_page' => 5,
				'paged'          => get_query_var( 'paged' )
			);
			$wp_query = new WP_Query( $args );?>
			<?php if ( $wp_query->have_posts() ) : ?>
				
				<!-- the loop -->
				<?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); ?>
				<div class="row">
					<div class="col-12  col-lg-auto" align="center">
						<?php 
						$image = get_field('image');
						if( !empty($image) ): ?>
							<img src="<?php echo $image['url']; ?>" alt="<?php echo $image['alt']; ?>" class="art_img" />
						<?php else: ?>
							<img src="<?php echo get_site_url(); ?>/wp-content/plugins/webaika-news/img/default.jpg" alt="Web Aika Default Logo Icon" class="art_img" />
						<?php endif; ?>
					</div>
					<div class="col-12 col-lg wa_short_descr">
						<?php
							$title = get_the_title();
							$link_type = get_field('link_type');
							if($link_type != 'none'){
								if($link_type == 'internal'){
									$link_url = get_field('internal_page_content');
								}elseif($link_type == 'newpost'){
									$link_url = get_the_permalink();
								}elseif($link_type == 'external'){
									$link_url = get_field('external_link');
									$target = 'target="_blank"';
								}
								echo '<h2><a href="'. $link_url.'" '.$target.'>'. $title .'</a></h2>';
								$read_more = '<a href="'. $link_url.'" '.$target.'><div class="read_more">Read More &gt;&gt;</div></a>';
							}
							else{
								echo '<h2>'.$title.'</h2>';
							}
							
						?>
						<?php 
							echo "<p>";
							the_field('excerpt');
							echo "</p>";
							echo $read_more;
							unset($read_more);
						?>
					</div>
					<div class="col-12"><hr class="post_hr"></div>
				</div>
				<?php endwhile; ?>
				<?php wpbeginner_numeric_posts_nav(); ?>
				<!-- end of the loop -->
			
				<?php wp_reset_postdata(); ?>
			<?php else : ?>
				<p><?php _e( 'Sorry, no posts matched your criteria.' ); ?></p>
			<?php endif; ?>
</div>
<?php get_footer(); ?>